羊毛之家

这里总有一款属于你的菜

一句代码禁用WordPress 5.0 Gutenberg(古腾堡) 编辑器

WordPress 5.0正式版发布以后,新的Gutenberg(古腾堡) 编辑器给众多用户带来困惑,很简单的文字编辑操作,变得繁琐复杂,虽然用户对这个编辑器意见很大,但WP开发团队强推也没有办法。

可以通过安装Classic Editor或者Disable Gutenberg插件,切换回经典的编辑器。

其实之前经典的Classic Editor编辑器代码,在WordPress 5.0并没有被删除,上述插件也只是个切换开关而已。

关键代码就一句:

add_filter('use_block_editor_for_post', '__return_false');
将代码添加到当前主题函数模板functions.php中即可,根本不需要那些插件。

当然你想有更多的选择性,可以安装上述插件。

Classic Editor编辑器代码据WP官方称会延续集成到2021年才会从程序中彻底删除,但大家也不用担心,到时会有全套的Classic Editor编辑器插件让你选择。

免责声明:内容均来自网络或网友投稿,如有侵权请联系管理员,我们会第一时间为您处理!谢谢您的合作!

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址